<?php
namespace Teknisa\MAN\Controllers;


use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\Controller\CrudWithParameterBag;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Teknisa\MAN\Utilities;
use Doctrine\ORM\EntityManager;

class SelectRecebimentosManutencao extends CrudWithParameterBag {
    protected $dataSourceName = 'select_recebimentos_manutencao';
    protected $dataSourceNameSemLayout = 'select_recebimentos_manutencao_sem_layout';
    protected $parameterBagColumns = array('P_CDTIPORECE', 'P_CDFILIAL', 'P_CDCAIXA','P_TCDTIPORECE', 'P_NRORG');
    protected $entityManager;
    protected $utilService;

    public function __construct (Manager $dataSourceManager, ParameterBag $parameterBag, Utilities\Util $utilService, $entityManager) {
        $this->utilService = $utilService;
        $this->entityManager = $entityManager;
        parent::__construct($dataSourceManager, $parameterBag);
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response){
        
        try {
           
            $this->dataSourceName = 'select_recebimentos_manutencao_sem_layout';
            parent::find($request, $response);
		    
        } catch (\Exception $e) {
            $response->setError(new DTO\Response\Error($e->getMessage(), $e->getCode(), $e->getTraceAsString()));
        }
    }
}